"""dev/ release operating system switch for main module."""

# Import built-in modules
from __future__ import print_function

import os
import platform

_OS = platform.system()

# development => py files
if os.path.isfile(os.path.join(os.path.dirname(__file__), ".dev")):
    from smartEdit.smartEdit_d import *
    from smartEdit.license_d import *
    print("smartEdit | dev | ", _OS)

# release => cython files
else:
    print("cragl loading: smartEdit")

    if _OS == "Darwin":
        from smartEdit.smartEdit_m import *
        from smartEdit.license_m import *
    elif _OS == "Linux":
        from smartEdit.smartEdit_l import *
        from smartEdit.license_l import *
    elif _OS == "Windows":
        from smartEdit.smartEdit_w import *
        from smartEdit.license_w import *
