"""Tooltips for our widgets."""

TOOLTIPS = {

    # Main section.
    "pin":
        "<b>pin</b>"
        "<br />"
        "Pin or unpin the smartEdit window. When it is pinned, you can "
        "close it by pressing the esc key, otherwise it will close "
        "immediately when releasing the configured hotkey to launch "
        "smartEdit.",

    "settings":
        "<b>settings</b>"
        "<br />"
        "Click to open the smartEdit settings.",

    "add":
        "<b>add</b>"
        "<br />"
        "Click to add a new knob for the currently selected node to "
        "smartEdit.",

    # Settings section.
    "show_tooltips":
        "<b>show tooltips</b>"
        "<br />"
        "If enabled show tooltips for all major widgets. Needs a restart "
        "of smartEdit to take effect.",

    "frameless":
        "<b>frameless</b>"
        "<br />"
        "If enabled the smartEdit window is fixed and cannot be moved. It "
        "will also not have a top bar. If unchecked it behaves like any other "
        "window that can be moved.",

    "advanced_widgets":
        "<b>advanced widgets</b>"
        "<br />"
        "If enabled the custom mapping widgets contain more widgets and "
        "functionality. If you create custom widgets that inherit from "
        "<i>smartEdit.widgets.base</i>, you can use the <i>advanced</i> "
        "member to drive and implement custom widgets and functionality to "
        "show up only when being in advanced mode. See documentation for "
        "more information on advanced widgets mode.",

    "enable_add_for_node_class":
        "<b>enable for node class</b>"
        "<br />"
        "Checking this checkbox keeps the 'Enable for node class' checkbox in "
        "the 'knob add window' enabled so that you don't always need to "
        "enable it. If you want to keep this checkbox unchecked by default "
        "then simply uncheck the checkbox in here.",

    "hotkey":
        "<b>launch hotkey</b>"
        "<br />"
        "Set the hotkey to use for launching smartEdit. You can use a "
        "character from a-z and F1-F12.<br /><i>Requires a "
        "restart of Nuke to take effect.</i>",

    "slider_precision":
        "<b>slider precision</b>"
        "<br />"
        "Set the precision to use for all slider. Needs a restart of Nuke to "
        "take effect.",

    "window_opacity":
        "<b>Window opacity</b>"
        "<br />"
        "Drive the opacity of smartEdit. <i>100</i> means fully opaque.",

    "ignore_knobs":
        "<b>ignore knobs</b>"
        "<br />"
        "Ignore the following knobs to show up in the list of knobs in the "
        "quick access add window. Separate knobs by comma in here."
}
